Bug 1955704 - Fix MariaDB 10.5 Conflicts with MySQL package
Summary: Fix MariaDB 10.5 Conflicts with MySQL package
Keywords:
Status: POST
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: mariadb
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Michal Schorm
QA Contact: Jakub Heger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-30 17:04 UTC by Michal Schorm
Modified: 2021-05-03 12:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Michal Schorm 2021-04-30 17:04:35 UTC
Originally, the "mariadb" package in Fedora conflicts with MySQL package which is named "community-mysql" in Fedora, but is names just "mysql" in RHEL.

We need to fix the RPM "Conflicts" tags to apply in RHEL.

Something simmilar as this could be an elegant solution which would work for both upstream and downstream:
https://gitlab.com/redhat/centos-stream/rpms/mariadb-connector-c/-/commit/38d723b49603036d797e313e6278761c7ac45dbb

Comment 1 Michal Schorm 2021-04-30 17:07:32 UTC
Undeclared file conflicts:
mariadb-server-utils-3:10.5.9-7.el9.x86_64 provides /usr/bin/mysqldumpslow which is also provided by mysql-server-8.0.22-3.el9.x86_64
mariadb-server-utils-3:10.5.9-7.el9.x86_64 provides /usr/bin/perror which is also provided by mysql-server-8.0.22-3.el9.x86_64
mariadb-server-utils-3:10.5.9-7.el9.x86_64 provides /usr/share/man/man1/mysql_upgrade.1.gz which is also provided by mysql-server-8.0.22-3.el9.x86_64
mariadb-server-utils-3:10.5.9-7.el9.x86_64 provides /usr/share/man/man1/mysqldumpslow.1.gz which is also provided by mysql-server-8.0.22-3.el9.x86_64
mariadb-server-utils-3:10.5.9-7.el9.x86_64 provides /usr/share/man/man1/perror.1.gz which is also provided by mysql-server-8.0.22-3.el9.x86_64

Comment 2 Michal Schorm 2021-05-02 13:21:03 UTC
Fixed in the following Fedora upstream commit:
  https://src.fedoraproject.org/rpms/mariadb/c/939918b1e0d99f5d7ef4aebe8ce7321d740c6b58?branch=rawhide


Note You need to log in before you can comment on or make changes to this bug.